POST /kling/v1/videos/motion-control
Method: POSTEndpoint: /kling/v1/videos/motion-control
This document is not updated in real time. For the full version, see the official documentation: https://app.klingai.com/cn/dev/document-api/apiReference/model/motionControl
Request Parameters
Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
prompt
string
Required
image_url
string
Required
video_url
string
Required
Example
{
"prompt"
:
""
,
"image_url"
:
""
,
"video_url"
:
""
}Example Request
Shell
bash
curl --location --request POST '/kling/v1/videos/motion-control' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt": "",
"image_url": "",
"video_url": ""
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
code
integer
Required
Error code. See the error-code definitions for details.
message
string
Error Message
Required
request_id
string
Required
Request ID, generated by the system for tracking and troubleshooting.
data
object
Required
task_id
string
Required
Task ID, generated by the system.
task_status
enum<string>
Required
Task status. Enum values: submitted, processing, succeed, failed.
Enum Values:
submitted (submitted)
processing (in progress)
succeed (success)
failed (failure)
created_at
integer
Required
Task creation time, Unix timestamp in milliseconds.
updated_at
integer
Required
Task update time, Unix timestamp in milliseconds.Example
json
{
"code": 0,
"message": "string",
"request_id": "string",
"data": {
"task_id": "string",
"task_status": "string",
"created_at": 0,
"updated_at": 0
}
}